This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 145757 - CUPS doesn't know about the HP DeskJet 3650.
CUPS doesn't know about the HP DeskJet 3650.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-21 00:44 EST by Dave Mielke
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 04:47:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Mielke 2005-01-21 00:44:23 EST
Description of problem:

It's not possible to configure an HP DeskJet 3650 printer via the IPP interface
of CUPS.

Version-Release number of selected component (if applicable):

cups-1.1.22-0.rc1.8.4

How reproducible:

All the time.

Steps to Reproduce:
1. Go to [http://localhost:631] with any web browser (I use lynx).
2. Go to "Do Administration Tasks" (enter root and its password).
3. Go to "Add a New Printer".
4. Set "Name" to "lp1". 
5. Set "Location" to "Office". 
6. Set "Description" to "HP DeskJet 3650".
7. Click "Continue".
8. Set "Device" to "USB Printer #1 (3650)".
9. Click "Continue".
10. Set "Make" to "HP".
11. Click "Continue".

  
Actual results:

The "Model" selector doesn't contain "HP DeskJet 3650", or even anything
obviously reasonably equivalent.

Expected results:

The "Model" selector should contain "HP DeskJet 3650", or at least something
which is clearly an equivalent model.

Additional info:

The foomatic printer object name is "HP-DeskJet_3650".
The foomatic driver name is "hpijs".
Comment 1 Dave Mielke 2005-01-21 03:04:56 EST
The way I define the printer without using CUPS is as follows:

Go to the HP DeskJet 3650 page at LinuxPrinting.org:

   http://www.linuxprinting.org/show_printer.cgi?recnum=HP-DeskJet_3650

Click "download PPD", and save the file "HP-DeskJet_3650-hpijs.ppd" into the
directory "/usr/share/cups/model/". Then do (all on one line):

   foomatic-configure -s cups -n lp1
                      -N 'HP DeskJet 3650' -L 'Office'
                      -p HP-DeskJet_3650 -d hpijs
                      -c 'usb://3650?serial=<serial-number>'
                      --ppd '/usr/share/cups/model/HP-DeskJet_3650-hpijs.ppd'

The printer's serial number can be determined by looking for the

   S: SerialNumber=
    
line for the printer in "/proc/bus/usb/devices". In case it'll help with adding
support for autodetection, here's the entire entry (serial number masked out)
in "/proc/bus/usb/devices" for the HP DeskJet 3650:

   D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
   P:  Vendor=03f0 ProdID=7204 Rev= 1.00
   S:  Manufacturer=hp
   S:  Product=deskjet 3600
   S:  SerialNumber=xxxxxxxxxxxx
   C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  2mA
   I:  If#= 0 Alt= 0 #EPs= 2 Cls=07(print) Sub=01 Prot=02 Driver=usblp
   E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms
   E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
Comment 2 Tim Waugh 2005-01-21 04:47:19 EST
Use the CUPS configuration tool we ship (System Settings->Printing), which knows
about all of the foomatic models.

Note You need to log in before you can comment on or make changes to this bug.